MediaWiki:Common.css: различия между версиями

Материал из Синяя Энциклопедии
Перейти к навигации Перейти к поиску
Нет описания правки
Нет описания правки
 
(не показано 5 промежуточных версий этого же участника)
Строка 1: Строка 1:
/* Размещённый здесь CSS будет применяться ко всем темам оформления */
/* Точки * * * */


.toc, .toccolours {
  ul {
background-color: #262626;
    list-style-image: url(/w/skins/Vector/resources/skins.vector.styles.legacy/images/bullet-icon-white.png);
border: 1px solid #65635f;
  }
}
 
  figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
    color: var(--color-base,#b9b9b9);
  }


.toc {
background-color: #262626;
border: 1px solid #65635f;
}


/* Результаты поиска */
a[href$=":Bloomstorm"] {
 
color: #ff0000;
.search-types .current a {
font-weight: bold;
color: var(--color-base, #b9b9b9);
cursor: default;
}
 
.mw-search-profile-tabs {
  background-color: var(--background-color-neutral-subtle,#262626);
  margin-top: 1em;
  border: 1px solid var(--border-color-subtle,#65635f);
}
}
 
a[href$="/Bloomstorm"] {
/* Легенда */
color: #ff0000;
 
font-weight: bold;
.mw-changeslist-legend {
border: 1px solid var(--border-color-subtle, #65635f);
background-color: var(--background-color-base, #262626);
}
 
.wikitable > * > tr > th {
    border: 1px solid var(--border-color-base,#65635f);
}
}


.wikitable > * > tr > td {
a[href*="Bloomstorm"] {
    border: 1px solid var(--border-color-base,#65635f);
color: #ff0000;
    padding:
font-weight: bold;
0.2em 0.4em;
  }
 
li.gallerybox div.thumb {
    border: 1px solid var(--border-color-subtle,#65635f);
  }
 
.mw-datatable td, .mw-datatable th {
  border: 1px solid var(--border-color-base,#525252);
}
}


.mw-datatable td {
a[href*="Старлайт"] {
  background-color: var(--background-color-base,#373737);
color: #EEBDF5;
font-weight: bold;
}
}


.mw-datatable tr:hover td {
a[href*="Hsancore3"] {
  background-color: var(--background-color-progressive-subtle,#353535);
color: #F5BB70;
font-weight: bold;
}
}


.mw-datatable th {
a[href*="MediaWiki default"] {
  background-color: #2D2D2D;
color: #BA00F5;
 
font-weight: bold;
}
}


/* Файл */


#filetoc {
div.type-blue {
  background-color: var(--background-color-neutral-subtle,#262626);
    background: #000 url(https://bloomstorm.su/w/images/3/35/Articletype_blue.png) no-repeat;
  text-align: center;
  border: 1px solid var(--border-color-base,#65635f);
}
}


/* Галерея */
div.type-idle {
 
     background: #000 url(https://bloomstorm.su/w/images/c/c4/Articletype_idle.png) no-repeat;
figure[typeof~="mw:File/Thumb"] > figcaption, figure[typeof~="mw:File/Frame"] > figcaption {
     border: 1px solid var(--border-color-subtle,#65635f);
    background-color: var(--background-color-interactive-subtle,#222);
}
}


  figure[typeof~="mw:File/Thumb"] > :not(figcaption) .mw-file-element, figure[typeof~="mw:File/Frame"] > :not(figcaption) .mw-file-element {
div#ma-article-type {
     border: 1px solid var(--border-color-subtle,#65635f);
     border-bottom: 1px solid #444444;
  }
    background-position: top left;
 
     text-align: right;
figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
     padding-top: 1em;
     border: 1px solid var(--border-color-subtle,#65635f);
     padding-right: 1em;
     background-color: var(--background-color-interactive-subtle,#222);
    min-height: 55px;
  }
     max-height: 55px;
 
    font-size: large;
/* Точки * * * */
    font-variant: small-caps;
 
  ul {
     list-style-image: url(/w/skins/Vector/resources/skins.vector.styles.legacy/images/bullet-icon-white.png);
  }
 
  figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
     color: var(--color-base,#b9b9b9);
  }
 
 
a[href$=":Bloomstorm"] {
color: #ff0000;
font-weight: bold;
}
a[href$="/Bloomstorm"] {
color: #ff0000;
font-weight: bold;
}
}

Текущая версия от 10:22, 12 августа 2026

/* Точки * * * */

  ul {
    list-style-image: url(/w/skins/Vector/resources/skins.vector.styles.legacy/images/bullet-icon-white.png);
  }
  
  figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
    color: var(--color-base,#b9b9b9);
  }


a[href$=":Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
	
}
a[href$="/Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
}

a[href*="Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
}

a[href*="Старлайт"] {
	color: #EEBDF5;
	font-weight: bold;
}

a[href*="Hsancore3"] {
	color: #F5BB70;	
	font-weight: bold;
}

a[href*="MediaWiki default"] {
	color: #BA00F5;	
	font-weight: bold;
}


div.type-blue {
    background: #000 url(https://bloomstorm.su/w/images/3/35/Articletype_blue.png) no-repeat;
}

div.type-idle {
    background: #000 url(https://bloomstorm.su/w/images/c/c4/Articletype_idle.png) no-repeat;
}

div#ma-article-type {
    border-bottom: 1px solid #444444;
    background-position: top left;
    text-align: right;
    padding-top: 1em;
    padding-right: 1em;
    min-height: 55px;
    max-height: 55px;
    font-size: large;
    font-variant: small-caps;
}